List flows
curl --request GET \
--url https://api.tented.ai/v1/email-flows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tented.ai/v1/email-flows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tented.ai/v1/email-flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flows": [
{
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"status": "draft",
"description": "<string>",
"triggers": [
{
"type": "added_to_static_list",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"steps": [
{
"type": "send_email",
"step_id": "<string>",
"label": "<string>",
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operational": true,
"next_step_id": "<string>"
}
],
"disqualification_rules": {
"conditions": "<array>",
"kind": "group",
"operator": "and"
},
"reentry_policy": "allow",
"manual_membership_enabled": true,
"settings": {},
"details": {
"total_entered": 123,
"active_count": 123,
"waiting_count": 123,
"completed_count": 123,
"dropped_count": 123,
"most_recent_entry_at": "2023-11-07T05:31:56Z"
},
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}Triggered Flows
List flows
GET
/
v1
/
email-flows
List flows
Authorizations
Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.
Query Parameters
Filter by lifecycle state.
Available options:
any, draft, active, paused, archived How to treat archived flows.
Available options:
exclude, include, only Sort key.
Available options:
updated_at, created_at, name Sort direction.
Available options:
asc, desc Page number, starting at 1. Page number (1-based).
Required range:
x >= 1Results per page (1–100). Page size.
Required range:
1 <= x <= 100Case-insensitive name search.
Maximum string length:
255